function d=dotp(i,j)

%% (c) 2004 Marco Cuturi , marco.cuturi@ensmp.fr
%% Distributed under GPL licence


%%% Implements the dot product of two pixels in 28x28 images
%%% located through an integer (28*(y-1) + x )

y1=((i-1)-mod((i-1),28))/28+1;
y2=((j-1)-mod((j-1),28))/28+1;
% DOT PRODUCT
d=((i-28*(y1-1))*(j-28*(y2-1)) + y1*y2)/(27^2);